@font-face {
    font-family: "Primary";
    src: url("../fonts/ApercuPro-Regular.woff2");
    font-weight: 400;
    font-display: swap;
}

@font-face {
    font-family: "Primary";
    src: url("../fonts/ApercuPro-Bold.woff2");
    font-weight: 700;
    font-display: swap;
}

@font-face {
    font-family: "Secondary";
    font-weight: 700;
    src: url("../fonts/Gotham-Condensed-Bold.woff2");
    font-display: swap;
}

@font-face {
    font-family: "Steelfish";
    font-weight: 400;
    src: url("../fonts/Steelfish-Regular.woff2");
    font-display: swap;
}

@font-face {
    font-family: "Steelfish";
    font-weight: 700;
    src: url("../fonts/Steelfish-Bold.woff2");
    font-display: swap;
}

/* VARS & CONFIGURATION */
:where(:root, ::before, ::after) {
    --grid-container-max-width: calc(var(--unit-16) * 95);

    --color-red-rgb: 255, 0, 0;
    --color-red: rgb(var(--color-red-rgb));
    --color-primary-rgb: 214, 3, 32;
    --color-primary: rgb(var(--color-primary-rgb));
    --color-secondary-rgb: 226, 148, 67;
    --color-secondary: rgb(var(--color-secondary-rgb));
}

html [data-network] {
    display: none !important;
}

html[data-network="mega-image"] [data-network~="mega-image"] {
    display: block !important;
}

/* END VARS & CONFIGURATION */

/* GENERAL */
body {
    background-color: var(--color-black);
}

.hand {
    position: fixed;
    right: 0;
}

.mask {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    height: auto;
    pointer-events: none;
}

.background {
    position: fixed;
    left: 0;
    top: 0;
    height: 100lvh;
    width: 100%;
    object-fit: cover;
    opacity: .65;
    pointer-events: none;
}

.title {
    container-type: inline-size;
}

.title__text {
    font-size: 8.5cqw;
}

.modal__btn-close svg {
    width: 50%;
    height: 50%;
    margin: auto;
}

.api-response-message {
    font-size: var(--font-18);
    font-weight: var(--font-bold);
    padding: calc(1.5 * var(--spacing-default));
    text-align: center;
}

/* END GENERAL */

/* UTILITIES */
.cta {
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: var(--font-bold);
    font-size: var(--font-24);
    text-transform: uppercase;
    border-radius: var(--border-radius-medium);
    outline: 0;
    border: 0;
    cursor: pointer;
    padding: calc(.75 * var(--spacing-default)) calc(4 * var(--spacing-default));
}

.cta--primary {
    background-color: var(--color-secondary);
    color: var(--color-white);
}

.cta--secondary {
    background-color: var(--color-white);
    color: var(--color-black);
    border: 1px solid var(--color-secondary);
}

.font-steelfish {
    font-family: 'Steelfish';
}

.color-red {
    color: var(--color-red);
}

.background-color-white {
    background-color: var(--color-white);
}

.background-color-primary {
    background-color: var(--color-primary);
}

.network {
    position: relative;
    background-color: var(--color-white);
    border-radius: var(--border-radius-large);
    aspect-ratio: 1;
    flex: 1;
}

/* END UTILITIES */


/* FORMS */
.form--1 input,
.form--1 select,
.form--1 .label-file__button {
    border: 1px solid var(--color-primary);
    padding: calc(.75 * var(--spacing-default));
    border-radius: var(--border-radius-small);
    background-color: var(--color-white);
    outline: 0;
    margin: 0;
    color: var(--color-black);
}

.form--1 select {
    cursor: pointer;
    appearance: none;
    -webkit-appearance: none;
}

.form--1 input[type="number"] {
    -moz-appearance: textfield;
}

.form--1 input[type="number"]::-webkit-outer-spin-button,
.form--1 input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.form--1 .label-file svg {
    color: var(--color-primary);
    height: var(--unit-20);
    width: auto;
}

.form--1 .label-virtual-cnt .datepicker.datepicker-dropdown.active {
    top: initial !important;
    left: initial !important;
}

.form--1 .label-virtual-cnt .label-virtual {
    color: var(--color-white);
}

.form--1 .label-file:has([data-field-invalid]) .label-file__button {
    border-color: var(--color-error) !important;
    animation: shake 500ms linear;
}

.form--1 .label-file .file-name {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

/* END FORMS */

.footer__cookies {
    position: fixed;
    z-index: 9999;
}


/* SMALL ONLY */
@media (max-width: 63.9375rem) {
    header nav {
        transition: var(--transition);
    }

    header nav:not([data-active]) {
        max-height: 0px;
        opacity: 0;
    }

    header nav[data-active] {
        margin-top: var(--spacing-default);
    }

    .container {
        padding: var(--spacing-default) 0;
    }

    .container__content>.cell:last-of-type {
        padding-bottom: 30%;
    }

    .hand {
        top: 50%;
        transform: translateY(-50%) translateX(50%);
        width: 75%;
    }

    .disclaimer img {
        width: calc(1.15 * var(--unit-100));
        height: auto;
    }

    .footer__cookies { 
        left: 50%;
        transform: translateX(-50%);
        bottom: var(--spacing-default);
    }
}

/* END SMALL ONLY */

/* LARGE ONLY */
@media (min-width: 64rem) {

    .network,
    .cta {
        transition: var(--transition);
    }

    .container {
        height: 100vh;
        padding: var(--spacing-default);
    }

    .container__content>.cell:last-of-type {
        padding-bottom: 40%;
    }

    .network:hover,
    .cta:not(.no-hover):hover {
        transform: scale(1.05);
    }

    .logo-container {
        position: fixed;
        top: calc(2 * var(--spacing-default));
        right: var(--grid-container-padding-x);
    }

    .logo {
        width: var(--unit-100);
        height: auto;
    }

    .disclaimer {
        position: fixed;
        top: 50%;
        right: var(--grid-container-padding-x);
        writing-mode: vertical-rl;
        transform: rotate(180deg) translateY(50%) translateX(50%);
    }

    .hand {
        bottom: 0;
        height: auto;
        width: 20%;
        transform: translateY(-35%);
    }

    .prize {
        max-width: calc(5 * var(--unit-100));
    }

    .mask {
        transform: translateY(20%) rotate(-6deg);
    }

    .footer {
        position: fixed;
        left: 0;
        bottom: var(--spacing-default);
        width: 100%;
    }

    .footer__cookies { 
        right: var(--grid-container-padding-x);
        bottom: var(--spacing-default);
    }

    .background {
        object-position: top left;
    }
}

/* END LARGE ONLY */

@supports (-webkit-touch-callout: none) {
    @media (hover: none) and (pointer: coarse) {
        .mask {
            display: none !important;
        }
    }
}